<?php

class onSmcaptchaCaptchaHtml extends cmsAction {

    public function run(){

        $this->cms_template->addJSFromContext($this->cms_template->getJavascriptFileName('smcaptcha'));
        $this->cms_template->addCSSFromContext($this->cms_template->getTemplateStylesFileName('smcaptcha'));

        $images_dir = $this->options['themes_dir'] . $this->options['theme'];

        $images = cmsCore::getFilesList($images_dir);

        $values = [];

        foreach ($images as $image) {
            $values[$image] = $this->options['names'][$this->options['theme']][pathinfo($image, PATHINFO_FILENAME)];
        }

        shuffle($images);

        $img_width = !empty($this->options['width'][$this->options['theme']]) ? $this->options['width'][$this->options['theme']] : false;
        $img_height = !empty($this->options['height'][$this->options['theme']]) ? $this->options['height'][$this->options['theme']] : $img_width;

        return $this->cms_template->renderInternal($this, 'smcaptcha', [
            'options'    => $this->options,
            'values'     => $values,
            'images'     => $images,
            'img_width'  => $img_width,
            'img_height' => $img_height,
            'rand'       => mt_rand(0,(sizeof($values)-1)),
            'captcha_id' => string_random(8),
            'images_dir' => $images_dir
        ]);

    }

}
